<?php
/************* URLManagement *******************/	
/*
Released by AwesomePHP.com, under the GPL License, a
copy of it should be attached to the zip file, or
you can view it on http://AwesomePHP.com/gpl.txt
*/
/************* URLManagement *******************/

// Print referral
function print_ref($url){
	if($url == NULL){ return 'Unknown';}
	$new_show = parse_url($url);
	return '<a href="'.$url.'" target="_blank">'.$new_show['host'].'</a>';
}

// Print ip
function print_ip($ip){
	if($ip == NULL){ return 'Unknown';}
	return preg_replace('/[0-9]+/','X',$ip);
}

// Hex to binary
function hex2bin($hexdata) {
	for ($i=0;$i<strlen($hexdata);$i+=2) {
		$bindata.=chr(hexdec(substr($hexdata,$i,2)));
	} 
	return $bindata;
} 


// Get IP
function get_ip(){
	$ipParts = explode(".", $_SERVER['REMOTE_ADDR']);
	if ($ipParts[0] == "165" && $ipParts[1] == "21") {    
    	if (getenv("HTTP_CLIENT_IP")) {
        	$ip = getenv("HTTP_CLIENT_IP");
        } elseif (getenv("HTTP_X_FORWARDED_FOR")) {
            $ip = getenv("HTTP_X_FORWARDED_FOR");
        } elseif (getenv("REMOTE_ADDR")) {
            $ip = getenv("REMOTE_ADDR");
        }
    } else {
       return $_SERVER['REMOTE_ADDR'];
   	}
   	return $ip;
}

// Function to get referral url
function get_referal(){
	if($_SERVER["HTTP_REFERER"]){
		return $_SERVER["HTTP_REFERER"];
	} 
	if(getenv("HTTP_REFERER")){
		return getenv("HTTP_REFERER");
	}
	return NULL;
}

// Function to generate a new session
function generate_session($strlen){
    return substr(md5(uniqid(rand(),1)),1,$strlen);
}

// Function to format date
function format_date($date){
	$date = date("l F j,Y g:i A T", strtotime($date));
	return $date;
}

// Function to organize query
function organize_query($QUERY,$sub){
	$new_array = array();
	$count_query = count($QUERY)-1;
	for($x=$sub;$x<= $count_query;$x++){
		array_push($new_array,$QUERY[$x]);
	}	
	return implode('*',$new_array);
}

// Function to format URL
function format_url($URL){
	// return wordwrap($URL,50,' ');
	$length = strlen($URL);
	$x=0;
	while($x <= $length){
		$new_url .= substr($URL,$x,50).' ';
		$x = $x + 50;
	}
	return $new_url;
}

// Function to get next free id
function get_free_id(){
	$bads = 0;
	$cur_len = 1;
	while(true){
		$generate_link = generate_session($cur_len);
		$query = @mysql_fetch_array(@mysql_query("SELECT COUNT(*) FROM `track_shorts` 
				WHERE `short_short` = '$generate_link'"));
		if($query['COUNT(*)'] <= 0){ return $generate_link;}
		$bads++;
		if($bads == 5){ $cur_len++;$bads=0;}
	}
}
?>