<?php
/************* URLManagement *******************/	
/*
Released by AwesomePHP.com, under the GPL License, a
copy of it should be attached to the zip file, or
you can view it on http://AwesomePHP.com/gpl.txt
*/
/************* URLManagement *******************/	

// Start Session
session_start();

// Get Extension Files
require_once('EXT/DATABASE.INC.php');
require_once('EXT/FUNCTIONS.INC.php');
require_once('EXT/CONFIG.INC.php');

// User IP
$USER_IP = get_ip();

// List of all pages on the site
$SITE_PAGES = array('go','g','t','w','api','s');

/*
List of all pages on the site that 
requires database Subset of $SITE_PAGES
*/
$SITE_PAGES_DATABASE = array('t','s');

// Get paramters
$QUERY = explode('*',$_SERVER['QUERY_STRING']);
$U_QUERY = organize_query($QUERY,1); // Pass it be refrence
$U_QUERY_ADD = organize_query($QUERY,2); // Pass it be refrence
if($_GET['message'] != NULL){$message = $_GET['message'];}

// Page to show
$PAGE = strtolower($QUERY[0]);
if(!in_array($PAGE,$SITE_PAGES)){ $PAGE = 'main';}
if(in_array($PAGE,$SITE_PAGES_DATABASE)){
	$error = connect();
	if($error != NULL){
		@mail($ADMIN_EMAIL,"$SITE_NAME database is down","Database Error: $error");
		die ('Database Error, Sending Error Notice to Administrator.');
	}
	$END_FUNCTION = 'dc';
}

// Get advertisement
ob_start();
include($ADS_PAGE);
$ADVERTISEMENT = ob_get_contents();
ob_end_clean();

ob_start();
include($ADS_PAGE_XL);
$ADVERTISEMENT_XL = ob_get_contents();
ob_end_clean();

// Get actual page content
ob_start();
include($PAGE.'.php');
$MAIN_BODY = ob_get_contents();
ob_end_clean();

// Get Template
ob_start();
include('template.php');
$SHOW_BODY = ob_get_contents();
ob_end_clean();

echo $SHOW_BODY;

// Close Database?
if($END_FUNCTION != NULL){
	$END_FUNCTION();
}
?>